#!/bin/sh
# installe correctement sous ESXI (pas de X64 ni de install)
# 09/03/2020 : Meilleure detection de la plateforme x86/x64
# 13/05/2022 : Detection de la plateform arm64

if [ ! -d /usr/local/dsr ]; then mkdir -p /usr/local/dsr; fi

init_dir=/etc/init.d
if [ -d /etc/init.d ]; then
	init_dir="/etc/init.d"
else
	if [ -d /etc/rc.d/init.d ]; then
		init_dir="/etc/rc.d/init.d"
	else
		init_dir="/tmp"
		echo "ERREUR -> Dossier de scriptes non detecte..."
	fi
fi

INSTALL="install -c -m 755"
if [ -z "`which install`" ]; then
	INSTALL="cp"
fi

PLATEFORME=`uname -m`
DSRBIN="dsr_x86"
if [ "$PLATEFORME" = "ia64" ]; then
        DSRBIN="dsr_ia64"
elif [ "$PLATEFORME" = "aarch64" ]; then
	DSRBIN="dsr_arm64"
elif [ "$PLATEFORME" = "x86_64" ]; then
        if [ "`uname -s`" != "VMkernel" ]; then
                if [ -d "/lib64" ] || [ -d /lib/x86_64-linux-gnu ]; then
                        if [ -z "$(ldd dsr_x64 | grep -E 'not found|est pas un exécutable dynamique|not a dynamic executable' | grep -v grep)" ]; then
                                DSRBIN="dsr_x64"
                        fi
                fi
        fi
fi

$INSTALL $DSRBIN /usr/local/dsr/dsr

if [ -f "$init_dir/dsr" ]; then
	echo "DSR existe deja, je l'arrete"
	$init_dir/dsr stop
fi

cp init $init_dir/dsr
chmod +x $init_dir/dsr

if [ -x /sbin/chkconfig ]		# RedHat + Mandrake
then
	/sbin/chkconfig --add dsr
elif [ -x /sbin/rc-update ]		# Gentoo
then
	/sbin/rc-update add dsr default
elif [ -x /usr/sbin/update-rc.d ]	# Debian
then
	/usr/sbin/update-rc.d -f dsr defaults
else
	echo "Les Scripts de démarrage n'ont pas été créé automatiquement"
	echo "Pour que Data Safe Restore se lance au démarrage de votre machine"
	echo "ajoutez /etc/init.d/dsr start a vos scripts de démarrage"
fi

$init_dir/dsr start

echo "Installation Data Safe Restore Client - OK"
